from eventAPI import *
from APIUtils import *

def fireEvent(e):
    if ((getTag(e, "lFlagS") & 0x100) == 0):
        return 1
    k = getTag(e, "kssCrypt")
    if ((k <= 20) or (k >= 50)):
        return 1
    elif (k == 25):
        setTag(e, "kssCrypt", 26)
    elif (k == 33):
        setTag(e, "kssCrypt", 34)
    elif (k == 41):
        setTag(e, "kssCrypt", 42)
    else:
        setTag(e, "kssCrypt", 21)
    return 1
